import 'dart:async';

import 'package:meta/meta.dart';

@immutable
class AuthTokenConfig {
  final FutureOr<String> Function() token;
  final FutureOr<String> Function() refresh;

  const AuthTokenConfig({
    required this.token,
    required this.refresh,
  });
}
